WordPress.org

Ready to get started?Download WordPress

Forums

Lester Chan’s WordPress Plugins June 2008 Update (Wave 2) (5 posts)

  1. Lester Chan
    Member
    Posted 5 years ago #

    Here is the second and final wave of my June 2008 plugins update containing the remaining 4 plugins. All of them should work only on WordPress 2.5. It is not tested for any version below that.

    The most general noticeable change would be the path to the plugin is now fixed. Previously it was nested in another folder and I got several hate mails because of that. Since the path problem has been solved, the Automatic Plugin Upgrade should work in theory.

    Be sure to read the readme.html and checkout the changelog for more information and most importantly NOTE THE TABS AT THE TOP

    Lester Chan’s WordPress Plugins June 2008 Update (Wave 2)

  2. davepoobond
    Member
    Posted 5 years ago #

    wow! cool! I love your plugins, man. hope you keep adding to them :D

    Slight bug though. On the manage downloads page, i get this:

    Warning: cannot yet handle MBCS in html_entity_decode()! in /home/squackle/public_html/wordpress/wp-content/plugins/wp-downloadmanager/wp-downloadmanager.php on line 308

    also, all the downloads that i embedded into their own posts by using [download=x] or [download="x"] codes are not appearing anymore.

  3. Lester Chan
    Member
    Posted 5 years ago #

    I have changed [download=x] to [download id="x"] to make use of WP2.5 shortcode API. It is under Usage Tab in the readme.html. The MBCS error is due to your PHP version. Ask your host to upgrade to PHP5 and the problem will be solved.

    Alternatively, you can try the workaround here http://forums.lesterchan.net/index.php/topic,1945.0.html

  4. davepoobond
    Member
    Posted 5 years ago #

    oh dang, i missed the "id" part of the code. sorry about that.

    i guess everything works as intended then :)

    is there supposed to be a button in the TinyMCE panel to add a download quickly at all?

    the workaround doesn't seem as straightforward for an admin point of view. Would it be in the wp-download.php that i edit?

  5. Lester Chan
    Member
    Posted 5 years ago #

    There is both in TincyMCE and HTML editor. An easier way is to ask your host to change your PHP version to 5. PHP4 is going to get phrased out soon.

Topic Closed

This topic has been closed to new replies.

About this Topic